# credential

Identity v3

## credential create

Create new credential

    openstack credential create
        [--type <type>]
        [--project <project>]
        <user>
        <data>

--type <type>

  New credential type: cert, ec2, totp and so on

--project <project>

  Project which limits the scope of the credential (name or ID)

user

  user that owns the credential (name or ID)

data

  New credential data

## credential delete

Delete credential(s)

    openstack credential delete <credential-id> [<credential-id> ...]

credential-id

  ID of credential(s) to delete

## credential list

List credentials

    openstack credential list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--user <user>]
        [--user-domain <user-domain>]
        [--type <type>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--user <user>

  Filter credentials by <user> (name or ID)

--user-domain <user-domain>

  Domain the user belongs to (name or ID). This can be used in case collisions between user names exist.

--type <type>

  Filter credentials by type: cert, ec2, totp and so on

## credential set

Set credential properties

    openstack credential set
        --user <user>
        --type <type>
        --data <data>
        [--project <project>]
        <credential-id>

--user <user>

  User that owns the credential (name or ID)

--type <type>

  New credential type: cert, ec2, totp and so on

--data <data>

  New credential data

--project <project>

  Project which limits the scope of the credential (name or ID)

credential-id

  ID of credential to change

## credential show

Display credential details

    openstack credential show <credential-id>

credential-id

  ID of credential to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.